Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Jan Djärv <[email-masked]>
Date: Mon, 09 Aug 2010 19:19:53 +0200

Stefan Monnier skrev 2010-08-09 13.43:
>> There's no analogue to the Emacs's ordinary (C-SPC) active regions in
>> other programs, and it's not even clear to me that it's good to set the
>> primary selection under most circumstances.  The original point of
>> transient mark mode is to let you mark out a stretch of text to to
>> operate on (e.g. comment, or search, or undo), and I don't know if it's
>> really correct for us to set the primary selection at the same time.
>
> Indeed, I don't think it's good to do so.  The old behavior of setting
> PRIMARY only when killing the text seems like the right behavior.
> Why would we want to change that?
>

Because it would conflict with 
http://standards.freedesktop.org/clipboards-spec/clipboards-latest.txt, and 
most other X applications set PRIMARY without an explicit kill or copy.  And 
because it is convinient to be able to
select text and then paste with middle button in another application.

Other applications do have active regions, like gedit and OpenOffice for example.

Please don't change this.

	Jan D.